Subject: ***SPAM*** 58.116 (5) Get a new huge colossal rod by clicking here.

From: "Poul Firouzbakht" <[email-masked]>
Date: Fri, 1 Feb 2008 13:41:35 +0100

There will be no stopping you after this. Your powers are soon to be unleashed.